## php-swoole 6.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(libswoole)

enable_language(ASM)
set(SWOOLE_VERSION 6.1.2)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -g")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g")

file(READ ./config.h SWOOLE_CONFIG_FILE)

set(CMAKE_MACOSX_RPATH 1)
set(SWOOLE_LINK_LIBRARIES pthread dl)

if (APPLE)
    set(CMAKE_SHARED_LINKER_FLAGS "-undefined dynamic_lookup")
    include_directories(BEFORE /usr/local/include)
    link_directories(BEFORE /usr/local/lib)
else()
    list(APPEND SWOOLE_LINK_LIBRARIES rt crypt)
endif()

find_package(PkgConfig REQUIRED)

if (UNIX AND NOT APPLE)
    find_library(URING_LIBRARIES uring)
    if (URING_LIBRARIES)
        message(STATUS "Found iouring")
        list(APPEND SWOOLE_LINK_LIBRARIES ${URING_LIBRARIES})
    else()
        message(WARNING "liburing not found.")
    endif()
endif()

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Debug CACHE STRING "Build type" FORCE)
endif ()

# Code Coverage Configuration
add_library(coverage_config INTERFACE)

option(CODE_COVERAGE "Enable coverage reporting" OFF)
if(CODE_COVERAGE)
    message(STATUS "Open coverage")
    # --coverage => -fprofile-arcs -ftest-coverage
    target_compile_options(coverage_config INTERFACE
        -O0
        -g
        -fprofile-update=atomic
        --coverage
    )
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.13)
        target_link_options(coverage_config INTERFACE --coverage)
    else()
        target_link_libraries(coverage_config INTERFACE --coverage)
    endif()
endif(CODE_COVERAGE)

file(GLOB_RECURSE SRC_LIST FOLLOW_SYMLINKS src/*.c src/*.cc
            thirdparty/boost/asm/combined.S
            thirdparty/hiredis/alloc.c
            thirdparty/hiredis/async.c
            thirdparty/hiredis/hiredis.c
            thirdparty/hiredis/net.c
            thirdparty/hiredis/read.c
            thirdparty/hiredis/sds.c
            thirdparty/llhttp/api.c
            thirdparty/llhttp/http.c
            thirdparty/llhttp/llhttp.c
        	thirdparty/multipart_parser.c
)
file(GLOB_RECURSE HEAD_FILES FOLLOW_SYMLINKS include/*.h)
file(GLOB_RECURSE HEAD_WAPPER_FILES FOLLOW_SYMLINKS include/wrapper/*.hpp)

set(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_SOURCE_DIR}/lib)
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)

#message(STATUS "source=${SRC_LIST}")
#message(STATUS "header=${HEAD_FILES}")

add_definitions(-DHAVE_CONFIG_H)
# test
#add_definitions(-DSW_USE_THREAD_CONTEXT)

include_directories(BEFORE ./include ./include/wrapper ext-src/ thirdparty/ thirdparty/llhttp ./)

# find OpenSSL
if (DEFINED openssl_dir)
    include_directories(BEFORE ${openssl_dir}/include)
    link_directories(${openssl_dir}/lib)
else()
    find_package(OpenSSL)
    if (${OPENSSL_FOUND})
        message(STATUS "Found OpenSSL, ${OPENSSL_LIBRARIES}")
        include_directories(BEFORE ${OPENSSL_INCLUDE_DIR})
        list(APPEND SWOOLE_LINK_LIBRARIES ssl crypto)
    else()
        message(STATUS "Not found OpenSSL")
    endif()
endif()

if (DEFINED brotli_dir)
    include_directories(BEFORE ${brotli_dir}/include)
    link_directories(${brotli_dir}/lib)
endif()

foreach (LINE ${SWOOLE_CONFIG_FILE})
  if ("${LINE}" MATCHES "define SW_USE_CARES 1")
      message(STATUS "enable c-ares")
      list(APPEND SWOOLE_LINK_LIBRARIES cares)
  endif()
endforeach()

if (DEFINED enable_trace_log)
	add_definitions(-DSW_LOG_TRACE_OPEN)
endif()

if (DEFINED enable_asan)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address -fno-omit-frame-pointer")
    add_definitions(-DSW_USE_ASAN)
endif()

if (DEFINED enable_thread)
    add_definitions(-DSW_THREAD)
endif()

if (DEFINED async_io)
    # This macro is exclusively used for kernel unit testing to
    # verify the asynchronous operation functionality of the file thread pool.
    add_definitions(-DSW_USE_ASYNC)
endif()

if (DEFINED verbose)
    add_definitions(-DSW_VERBOSE)
endif()

set(php_dir "" CACHE STRING "Set the root directory of PHP")

if (DEFINED php_dir)
    set(PHP_CONFIG "${php_dir}/bin/php-config")
else ()
    set(PHP_CONFIG "php-config")
endif()

execute_process(COMMAND ${PHP_CONFIG} --includes OUTPUT_VARIABLE PHP_INCLUDES OUTPUT_STRIP_TRAILING_WHITESPACE  RESULT_VARIABLE PHP_CONFIG_RESULT)
if (NOT PHP_CONFIG_RESULT EQUAL 0)
    message(FATAL_ERROR "Failed to execute php-config: ${PHP_CONFIG_RESULT}")
endif()

execute_process(COMMAND ${PHP_CONFIG} --extension-dir OUTPUT_VARIABLE PHP_EXTENSION_DIR OUTPUT_STRIP_TRAILING_WHITESPACE RESULT_VARIABLE PHP_CONFIG_RESULT)
if (NOT PHP_CONFIG_RESULT EQUAL 0)
    message(FATAL_ERROR "Failed to execute php-config: ${PHP_CONFIG_RESULT}")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${PHP_INCLUDES}")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${PHP_INCLUDES}")

if (CMAKE_SYSTEM_NAME MATCHES "Linux")
    execute_process(COMMAND ldconfig -p OUTPUT_VARIABLE LDCONFIG_LIST OUTPUT_STRIP_TRAILING_WHITESPACE)
    #message(STATUS LDCONFIG_LIST)
    if (LDCONFIG_LIST MATCHES brotlienc)
         list(APPEND SWOOLE_LINK_LIBRARIES brotlienc)
    endif()

    if (LDCONFIG_LIST MATCHES brotlidec)
        list(APPEND SWOOLE_LINK_LIBRARIES brotlidec)
    endif()
endif()

# lib-swoole
link_directories(${LIBRARY_OUTPUT_PATH})
add_library(lib-swoole SHARED ${SRC_LIST})
set_target_properties(lib-swoole PROPERTIES OUTPUT_NAME "swoole" VERSION ${SWOOLE_VERSION})
target_link_libraries(lib-swoole ${SWOOLE_LINK_LIBRARIES})

if (CODE_COVERAGE)
    target_link_libraries(lib-swoole coverage_config gcov)
endif(CODE_COVERAGE)

# test_server
set(TEST_SRC_LIST examples/cpp/test_server.cc)
add_executable(test_server ${TEST_SRC_LIST})
add_dependencies(test_server lib-swoole)
target_link_libraries(test_server swoole pthread)

# co
set(TEST_SRC_LIST examples/cpp/co.cc)
add_executable(co ${TEST_SRC_LIST})
add_dependencies(co lib-swoole)
target_link_libraries(co swoole)

# ext-swoole
file(GLOB ext_cxx_files ext-src/*.cc)
set(ext_src_list  ${ext_cxx_files}
        thirdparty/php/curl/interface.cc
        thirdparty/php/curl/multi.cc
        thirdparty/php/sockets/multicast.cc
        thirdparty/php/sockets/sendrecvmsg.cc
        thirdparty/php/sockets/conversions.cc
        thirdparty/php/sockets/sockaddr_conv.cc
        thirdparty/php/standard/proc_open.cc
        thirdparty/nghttp2/nghttp2_hd.c
        thirdparty/nghttp2/nghttp2_rcbuf.c
        thirdparty/nghttp2/nghttp2_helper.c
        thirdparty/nghttp2/nghttp2_buf.c
        thirdparty/nghttp2/nghttp2_mem.c
        thirdparty/nghttp2/nghttp2_hd_huffman.c
        thirdparty/nghttp2/nghttp2_hd_huffman_data.c
    )
add_library(ext-swoole SHARED ${ext_src_list})
set_target_properties(ext-swoole PROPERTIES PREFIX "")
set_target_properties(ext-swoole PROPERTIES OUTPUT_NAME "swoole")
add_dependencies(ext-swoole lib-swoole)

# core-tests
pkg_check_modules(NGHTTP2 REQUIRED libnghttp2)
if (${NGHTTP2_FOUND})
    message(STATUS "Found nghttp2")
else()
    message(STATUS "Not found nghttp2")
endif()

# find GTest
find_package(GTest REQUIRED)
if (!${GTEST_FOUND})
    message(FATAL_ERROR "Not found GTest")
endif()
message(STATUS "Found GTest")

file(GLOB_RECURSE core_test_files core-tests/src/*.cpp thirdparty/llhttp/*.c)
add_executable(core-tests ${core_test_files})
add_dependencies(core-tests lib-swoole)
include_directories(BEFORE core-tests/include thirdparty thirdparty/hiredis thirdparty/llhttp/ ${GTEST_INCLUDE_DIRS} ${NGHTTP2_INCLUDE_DIR})
target_link_libraries(core-tests swoole pthread ssl crypto ${GTEST_BOTH_LIBRARIES} ${NGHTTP2_LIBRARIES})

# find libpq
if (DEFINED libpq_dir)
    include_directories(BEFORE ${libpq_dir}/include)
    link_directories(${libpq_dir}/lib)
else()
    pkg_check_modules(LIBPQ REQUIRED libpq)
    target_include_directories(ext-swoole PRIVATE ${LIBPQ_INCLUDE_DIRS})
endif()

target_link_libraries(ext-swoole swoole pq)

# install
INSTALL(TARGETS ext-swoole LIBRARY DESTINATION ${PHP_EXTENSION_DIR})
INSTALL(TARGETS lib-swoole LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
INSTALL(FILES ${HEAD_FILES} DESTINATION include/swoole)
INSTALL(FILES ${HEAD_WAPPER_FILES} DESTINATION include/swoole/wrapper)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/config.h DESTINATION include/swoole)

=== examples/cpp/Makefile ===
all: co repeat test_server
	
co: co.cc
	g++ co.cc -I../.. -I../../include -DHAVE_CONFIG_H -L../../lib -lswoole -o co -g
repeat: repeat.cc
	g++ repeat.cc -I../.. -I../../include -DHAVE_CONFIG_H -L../../lib -lswoole -o repeat -g
test_server: test_server.cc
	g++ test_server.cc -I../.. -I../../include -DHAVE_CONFIG_H -L../../lib -lswoole -o test_server -g
clean:
	rm -f co repeat test_server

## php-swoole 6.0.0+really+5.1.3

=== debian/changelog ===
php-swoole (6.0.0+really+5.1.3-1+0~20240629.26+debian10~1.gbpee1a27) unstable; urgency=medium

  ** SNAPSHOT build @ee1a2760bf5fb894b9988a271baf3c4bc2c9cd63 **

  * Pin d/watch to 5.* for now

 -- Ondřej Surý <ondrej@sury.org>  Sat, 29 Jun 2024 09:13:15 +0200

php-swoole (6.0.0+really+5.1.3-1) unstable; urgency=medium

  * New upstream version 6.0.0+really+5.1.3
   + Downgrade the swoole version to 5.1.3 (stable)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 29 Jun 2024 09:06:43 +0200

php-swoole (6.0.0-2) unstable; urgency=medium

  * Remove non-64-bit architectures from the Architectures list

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jun 2024 15:09:37 +0200

php-swoole (6.0.0-1) unstable; urgency=medium

  * New upstream version 6.0.0
  * Enable swoole: pgsql, odbc and sqlite
  * Disable swoole: json (no longer available as an option)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jun 2024 14:31:24 +0200

php-swoole (5.1.3-2) unstable; urgency=medium

  * Disable brotli

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Jun 2024 21:56:46 +0200

php-swoole (5.1.3-1) unstable; urgency=medium

  * Fix Source URL in d/copyright
  * New upstream version 5.1.3

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Jun 2024 20:13:47 +0200

php-swoole (5.1.2-1) unstable; urgency=medium

  * New upstream version 5.1.2

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 May 2024 16:47:48 +0200

php-swoole (5.1.1-2) unstable; urgency=medium

  * Enable c-ares DNS library

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Feb 2024 18:47:15 +0100

php-swoole (5.1.1-1) unstable; urgency=medium

  * New upstream version 5.1.1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Dec 2023 14:36:46 +0100

php-swoole (5.1.0-2) unstable; urgency=medium

  * Ignore failing tests

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Nov 2023 18:15:58 +0100

php-swoole (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Nov 2023 15:01:46 +0100

php-swoole (5.0.3-1) unstable; urgency=medium

  * New upstream version 5.0.3

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Jun 2023 08:32:24 +0200

php-swoole (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
  * Regenerate d/control for PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Dec 2022 14:12:56 +0100

php-swoole (4.8.10-1) unstable; urgency=medium

  * New upstream version 4.8.10

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Jul 2022 15:12:16 +0200

php-swoole (4.8.5-1) unstable; urgency=medium

  * New upstream version 4.8.5

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Dec 2021 09:47:51 +0100

php-swoole (4.8.3-1) unstable; urgency=medium

  * New upstream version 4.8.3

 -- Ondřej Surý <ondrej@debian.org>  Sun, 05 Dec 2021 16:27:05 +0100

php-swoole (4.8.1-1) unstable; urgency=medium

  * New upstream version 4.8.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:13:28 +0100

php-swoole (4.7.0-2) unstable; urgency=medium

  * Update the packaging to dh-php >= 4~

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:01:07 +0100

php-swoole (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Aug 2021 09:56:39 +0200

php-swoole (4.6.7-1) unstable; urgency=medium

  * New upstream version 4.6.7

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Jun 2021 23:27:21 +0200

php-swoole (4.6.6-1) unstable; urgency=medium

  * New upstream version 4.6.6
  * Add curl and mysqlnd as optional dependencies to package.xml (GH #1582)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 May 2021 14:07:36 +0200

php-swoole (4.6.4-1) unstable; urgency=low

  * Initial release.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Mar 2021 11:01:26 +0200

=== debian/control ===
Source: php-swoole
Section: php
Priority: optional
Maintainer: Debian PHP PECL Maintainers <team+php-pecl@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 10~),
               dh-php (>= 4~),
               libc-ares-dev,
	       libpq-dev,
	       libsqlite3-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libssl-dev,
               php-all-dev,
	       unixodbc-dev
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/php-team/pecl/php-swoole.git
Vcs-Browser: https://salsa.debian.org/php-team/pecl/php-swoole
Homepage: http://pecl.php.net/package/swoole

Package: php-swoole
Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${pecl:Provides},
          ${php:Provides}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: ${pecl:Suggests}
Recommends: ${pecl:Recommends}
Description: Swoole Coroutine Fiber Async Programming Framework for PHP
 Event-driven asynchronous and concurrent networking engine with high
 performance for PHP with following properties:
 .
  * event-driven
  * coroutine
  * asynchronous non-blocking
  * multi-thread reactor
  * multi-process worker
  * multi-protocol
  * millisecond timer
  * built-in tcp/http/websocket/http2 server
  * coroutine tcp/http/websocket client
  * coroutine mysql client
  * coroutine redis client
  * coroutine read/write file system
  * coroutine dns lookup
  * support IPv4/IPv6/UnixSocket/TCP/UDP
  * support SSL/TLS encrypted transmission
 .
 This is empty package that depends on default PHP version.

Package: php-swoole-all-dev
Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${pecl:Provides},
          ${php:Provides}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: ${pecl:Suggests}
Recommends: ${pecl:Recommends}
Description: Swoole Coroutine Fiber Async Programming Framework for PHP
 Event-driven asynchronous and concurrent networking engine with high
 performance for PHP with following properties:
 .
  * event-driven
  * coroutine
  * asynchronous non-blocking
  * multi-thread reactor
  * multi-process worker
  * multi-protocol
  * millisecond timer
  * built-in tcp/http/websocket/http2 server
  * coroutine tcp/http/websocket client
  * coroutine mysql client
  * coroutine redis client
  * coroutine read/write file system
  * coroutine dns lookup
  * support IPv4/IPv6/UnixSocket/TCP/UDP
  * support SSL/TLS encrypted transmission
 .
 This is empty package that depends on all PHP versions.

Package: php8.3-swoole
Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${pecl:Provides},
          ${php:Provides}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: ${pecl:Suggests}
Recommends: ${pecl:Recommends}
Description: Swoole Coroutine Fiber Async Programming Framework for PHP
 Event-driven asynchronous and concurrent networking engine with high
 performance for PHP with following properties:
 .
  * event-driven
  * coroutine
  * asynchronous non-blocking
  * multi-thread reactor
  * multi-process worker
  * multi-protocol
  * millisecond timer
  * built-in tcp/http/websocket/http2 server
  * coroutine tcp/http/websocket client
  * coroutine mysql client
  * coroutine redis client
  * coroutine read/write file system
  * coroutine dns lookup
  * support IPv4/IPv6/UnixSocket/TCP/UDP
  * support SSL/TLS encrypted transmission

Package: php8.2-swoole
Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${pecl:Provides},
          ${php:Provides}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: ${pecl:Suggests}
Recommends: ${pecl:Recommends}
Description: Swoole Coroutine Fiber Async Programming Framework for PHP
 Event-driven asynchronous and concurrent networking engine with high
 performance for PHP with following properties:
 .
  * event-driven
  * coroutine
  * asynchronous non-blocking
  * multi-thread reactor
  * multi-process worker
  * multi-protocol
  * millisecond timer
  * built-in tcp/http/websocket/http2 server
  * coroutine tcp/http/websocket client
  * coroutine mysql client
  * coroutine redis client
  * coroutine read/write file system
  * coroutine dns lookup
  * support IPv4/IPv6/UnixSocket/TCP/UDP
  * support SSL/TLS encrypted transmission

Package: php8.1-swoole
Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${pecl:Provides},
          ${php:Provides}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: ${pecl:Suggests}
Recommends: ${pecl:Recommends}
Description: Swoole Coroutine Fiber Async Programming Framework for PHP
 Event-driven asynchronous and concurrent networking engine with high
 performance for PHP with following properties:
 .
  * event-driven
  * coroutine
  * asynchronous non-blocking
  * multi-thread reactor
  * multi-process worker
  * multi-protocol
  * millisecond timer
  * built-in tcp/http/websocket/http2 server
  * coroutine tcp/http/websocket client
  * coroutine mysql client
  * coroutine redis client
  * coroutine read/write file system
  * coroutine dns lookup
  * support IPv4/IPv6/UnixSocket/TCP/UDP
  * support SSL/TLS encrypted transmission

Package: php8.0-swoole
Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${pecl:Provides},
          ${php:Provides}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: ${pecl:Suggests}
Recommends: ${pecl:Recommends}
Description: Swoole Coroutine Fiber Async Programming Framework for PHP
 Event-driven asynchronous and concurrent networking engine with high
 performance for PHP with following properties:
 .
  * event-driven
  * coroutine
  * asynchronous non-blocking
  * multi-thread reactor
  * multi-process worker
  * multi-protocol
  * millisecond timer
  * built-in tcp/http/websocket/http2 server
  * coroutine tcp/http/websocket client
  * coroutine mysql client
  * coroutine redis client
  * coroutine read/write file system
  * coroutine dns lookup
  * support IPv4/IPv6/UnixSocket/TCP/UDP
  * support SSL/TLS encrypted transmission

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)RC(\d*)$/$1rc$2/;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://pecl.php.net/package/swoole .*/swoole-(5.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## php-swoole 6.1.2

=== debian/changelog ===
php-swoole (6.1.2-2+0~20251124.38+debian12~1.gbp7aa99b) unstable; urgency=medium

  ** SNAPSHOT build @7aa99bbc766eb9692b570c7c2cf24bc290d22a34 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Mon, 24 Nov 2025 06:46:16 +0100

php-swoole (6.1.2-2) unstable; urgency=medium

  * Build-Depend on php-all-dev (>= 2:97~) for PHP 8.5

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Nov 2025 14:08:39 +0100

php-swoole (6.1.2-1) unstable; urgency=medium

  * New upstream version 6.1.2
  * Allow PHP 8.5 builds

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Nov 2025 12:17:21 +0100

php-swoole (6.0.2-2) unstable; urgency=medium

  * Use Architecture: any, so jenkins-debian-glue can build the package

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Apr 2025 00:23:36 +0200

php-swoole (6.0.2-1) unstable; urgency=medium

  * New upstream version 6.0.2

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Apr 2025 21:59:07 +0200

php-swoole (6.0.1-1) unstable; urgency=medium

  * New upstream version 6.0.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 17 Mar 2025 16:56:00 +0100

php-swoole (6.0.0++-1) unstable; urgency=medium

  * New upstream version 6.0.0++
   + Includes support for PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Tue, 17 Dec 2024 06:31:21 +0100

php-swoole (6.0.0+really+5.1.5-1) unstable; urgency=medium

  * Update Build-Depends to php-all-dev (>= 2:95~)
  * New upstream version 5.1.5
  * Don't build for PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Nov 2024 06:43:48 +0100

php-swoole (6.0.0+really+5.1.4-1) unstable; urgency=medium

  * New upstream version 5.1.4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 21 Sep 2024 07:50:59 +0200

php-swoole (6.0.0+really+5.1.3-2) unstable; urgency=medium

  * Pin d/watch to 5.* for now
  * Bump default version to PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Jul 2024 17:34:03 +0200

=== debian/rules ===
#!/usr/bin/make -f
export REPORT_EXIT_STATUS:=0
include /usr/share/dh-php/pkg-pecl.mk
PECL_CONFIGURE_MAINT_APPEND = \
	--enable-swoole \
	--enable-sockets \
	--disable-brotli \
	--enable-cares \
	--enable-openssl \
	--enable-http2 \
	--enable-mysqlnd \
	--enable-swoole-curl \
	--enable-swoole-pgsql \
	--enable-swoole-odbc=unixodbc \
	--enable-swoole-sqlite

## php-swoole 6.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(libswoole)
 
 enable_language(ASM)
-set(SWOOLE_VERSION 6.1.2)
+set(SWOOLE_VERSION 6.1.3)
 
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -197,12 +197,15 @@
 set(ext_src_list  ${ext_cxx_files}
         thirdparty/php/curl/interface.cc
         thirdparty/php/curl/multi.cc
-        thirdparty/php/sockets/multicast.cc
+        thirdparty/php84/curl/interface.cc
+	    thirdparty/php84/curl/multi.cc	
+	    thirdparty/php/sockets/multicast.cc
         thirdparty/php/sockets/sendrecvmsg.cc
         thirdparty/php/sockets/conversions.cc
         thirdparty/php/sockets/sockaddr_conv.cc
         thirdparty/php/standard/proc_open.cc
-        thirdparty/nghttp2/nghttp2_hd.c
+        thirdparty/php/standard/var_decoder.cc
+	    thirdparty/nghttp2/nghttp2_hd.c
         thirdparty/nghttp2/nghttp2_rcbuf.c
         thirdparty/nghttp2/nghttp2_helper.c
         thirdparty/nghttp2/nghttp2_buf.c
@@ -245,7 +248,7 @@
     target_include_directories(ext-swoole PRIVATE ${LIBPQ_INCLUDE_DIRS})
 endif()
 
-target_link_libraries(ext-swoole swoole pq)
+target_link_libraries(ext-swoole swoole pq curl)
 
 # install
 INSTALL(TARGETS ext-swoole LIBRARY DESTINATION ${PHP_EXTENSION_DIR})

=== debian/changelog ===
php-swoole (6.1.3-4+0~20251209.43+debian12~1.gbp4374cd) unstable; urgency=medium

  ** SNAPSHOT build @4374cd2c981fbcc2231d31d6bcb3f8174b0c4bc2 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Tue, 09 Dec 2025 07:49:35 +0100

php-swoole (6.1.3-4) unstable; urgency=medium

  * Enable zlib and zstd support

 -- Ondřej Surý <ondrej@debian.org>  Tue, 09 Dec 2025 07:34:03 +0100

php-swoole (6.1.3-3) unstable; urgency=medium

  * Limit the build to 64-bit architectures

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Dec 2025 10:10:42 +0100

php-swoole (6.1.3-2) unstable; urgency=medium

  * Disable Swoole CURL extension with curl << 7.56.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Dec 2025 07:41:50 +0100

php-swoole (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Dec 2025 16:33:33 +0100

php-swoole (6.1.2-3) unstable; urgency=medium

  * Bump dh-php Build-Depends to 5.16~ to allow max version with .99

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Nov 2025 07:54:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,23 @@
 Maintainer: Debian PHP PECL Maintainers <team+php-pecl@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 10~),
-               dh-php (>= 4~),
+               dh-php (>= 5.16~),
                libc-ares-dev,
 	       libpq-dev,
 	       libsqlite3-dev,
                libcurl4-openssl-dev | libcurl-dev,
                libssl-dev,
-               php-all-dev,
-	       unixodbc-dev
+               php-all-dev (>= 2:97~),
+	       unixodbc-dev,
+	       libzstd-dev,
+	       zlib1g-dev
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/php-team/pecl/php-swoole.git
 Vcs-Browser: https://salsa.debian.org/php-team/pecl/php-swoole
 Homepage: http://pecl.php.net/package/swoole
 
 Package: php-swoole
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
+Architecture: all
 Pre-Depends: php-common (>= 2:69~)
 Depends: ${misc:Depends},
          ${pecl:Depends},
@@ -53,7 +55,7 @@
  This is empty package that depends on default PHP version.
 
 Package: php-swoole-all-dev
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
+Architecture: all
 Pre-Depends: php-common (>= 2:69~)
 Depends: ${misc:Depends},
          ${pecl:Depends},
@@ -87,8 +89,41 @@
  .
  This is empty package that depends on all PHP versions.
 
+Package: php8.4-swoole
+Architecture: any-amd64 alpha arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
+Pre-Depends: php-common (>= 2:69~)
+Depends: ${misc:Depends},
+         ${pecl:Depends},
+         ${php:Depends},
+         ${shlibs:Depends}
+Provides: ${pecl:Provides},
+          ${php:Provides}
+Breaks: ${pecl:Breaks}
+Replaces: ${pecl:Replaces}
+Suggests: ${pecl:Suggests}
+Recommends: ${pecl:Recommends}
+Description: Swoole Coroutine Fiber Async Programming Framework for PHP
+ Event-driven asynchronous and concurrent networking engine with high
+ performance for PHP with following properties:
+ .
+  * event-driven
+  * coroutine
+  * asynchronous non-blocking
+  * multi-thread reactor
+  * multi-process worker
+  * multi-protocol
+  * millisecond timer
+  * built-in tcp/http/websocket/http2 server
+  * coroutine tcp/http/websocket client
+  * coroutine mysql client
+  * coroutine redis client
+  * coroutine read/write file system
+  * coroutine dns lookup
+  * support IPv4/IPv6/UnixSocket/TCP/UDP
+  * support SSL/TLS encrypted transmission
+
 Package: php8.3-swoole
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
+Architecture: any-amd64 alpha arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
 Pre-Depends: php-common (>= 2:69~)
 Depends: ${misc:Depends},
          ${pecl:Depends},
@@ -121,7 +156,7 @@
   * support SSL/TLS encrypted transmission
 
 Package: php8.2-swoole
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
+Architecture: any-amd64 alpha arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
 Pre-Depends: php-common (>= 2:69~)
 Depends: ${misc:Depends},
          ${pecl:Depends},
@@ -154,68 +189,35 @@
   * support SSL/TLS encrypted transmission
 
 Package: php8.1-swoole
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
-Pre-Depends: php-common (>= 2:69~)
-Depends: ${misc:Depends},
-         ${pecl:Depends},
-         ${php:Depends},
-         ${shlibs:Depends}
-Provides: ${pecl:Provides},
-          ${php:Provides}
-Breaks: ${pecl:Breaks}
-Replaces: ${pecl:Replaces}
-Suggests: ${pecl:Suggests}
-Recommends: ${pecl:Recommends}
-Description: Swoole Coroutine Fiber Async Programming Framework for PHP
- Event-driven asynchronous and concurrent networking engine with high
- performance for PHP with following properties:
- .
-  * event-driven
-  * coroutine
-  * asynchronous non-blocking
-  * multi-thread reactor
-  * multi-process worker
-  * multi-protocol
-  * millisecond timer
-  * built-in tcp/http/websocket/http2 server
-  * coroutine tcp/http/websocket client
-  * coroutine mysql client
-  * coroutine redis client
-  * coroutine read/write file system
-  * coroutine dns lookup
-  * support IPv4/IPv6/UnixSocket/TCP/UDP
-  * support SSL/TLS encrypted transmission
-
-Package: php8.0-swoole
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
-Pre-Depends: php-common (>= 2:69~)
-Depends: ${misc:Depends},
-         ${pecl:Depends},
-         ${php:Depends},
-         ${shlibs:Depends}
-Provides: ${pecl:Provides},
-          ${php:Provides}
-Breaks: ${pecl:Breaks}
-Replaces: ${pecl:Replaces}
-Suggests: ${pecl:Suggests}
-Recommends: ${pecl:Recommends}
-Description: Swoole Coroutine Fiber Async Programming Framework for PHP
- Event-driven asynchronous and concurrent networking engine with high
- performance for PHP with following properties:
- .
-  * event-driven
-  * coroutine
-  * asynchronous non-blocking
-  * multi-thread reactor
-  * multi-process worker
-  * multi-protocol
-  * millisecond timer
-  * built-in tcp/http/websocket/http2 server
-  * coroutine tcp/http/websocket client
-  * coroutine mysql client
-  * coroutine redis client
-  * coroutine read/write file system
-  * coroutine dns lookup
-  * support IPv4/IPv6/UnixSocket/TCP/UDP
-  * support SSL/TLS encrypted transmission
-
+Architecture: any-amd64 alpha arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
+Pre-Depends: php-common (>= 2:69~)
+Depends: ${misc:Depends},
+         ${pecl:Depends},
+         ${php:Depends},
+         ${shlibs:Depends}
+Provides: ${pecl:Provides},
+          ${php:Provides}
+Breaks: ${pecl:Breaks}
+Replaces: ${pecl:Replaces}
+Suggests: ${pecl:Suggests}
+Recommends: ${pecl:Recommends}
+Description: Swoole Coroutine Fiber Async Programming Framework for PHP
+ Event-driven asynchronous and concurrent networking engine with high
+ performance for PHP with following properties:
+ .
+  * event-driven
+  * coroutine
+  * asynchronous non-blocking
+  * multi-thread reactor
+  * multi-process worker
+  * multi-protocol
+  * millisecond timer
+  * built-in tcp/http/websocket/http2 server
+  * coroutine tcp/http/websocket client
+  * coroutine mysql client
+  * coroutine redis client
+  * coroutine read/write file system
+  * coroutine dns lookup
+  * support IPv4/IPv6/UnixSocket/TCP/UDP
+  * support SSL/TLS encrypted transmission
+

## php-swoole 6.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(libswoole)
 
 enable_language(ASM)
-set(SWOOLE_VERSION 6.1.3)
+set(SWOOLE_VERSION 6.1.4)
 
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
php-swoole (6.1.4-1+0~20251220.44+debian13~1.gbp837c93) unstable; urgency=medium

  ** SNAPSHOT build @837c9344f89927580f88bce26474175441fc24c2 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Sat, 20 Dec 2025 09:27:50 +0100

php-swoole (6.1.4-1) unstable; urgency=medium

  * New upstream version 6.1.4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Dec 2025 09:25:45 +0100

=== debian/rules ===
#!/usr/bin/make -f
export REPORT_EXIT_STATUS:=0
include /usr/share/dh-php/pkg-pecl.mk

ifeq ($(shell curl-config --checkfor 7.56.0;echo $$?),0)
export SWOOLE_CURL:=--enable-swoole-curl
else
export SWOOLE_CURL:=
endif

PECL_CONFIGURE_MAINT_APPEND = \
	--enable-swoole \
	--enable-sockets \
	--disable-brotli \
	--enable-cares \
	--enable-openssl \
	--enable-http2 \
	--enable-mysqlnd \
	$(SWOOLE_CURL) \
	--enable-swoole-pgsql \
	--enable-swoole-odbc=unixodbc \
	--enable-swoole-sqlite \
	--enable-zstd
